*  Program...........: PTX.PRG
*  Author............: Ken R. Levy
*  Project...........: GENSCRNX
*  Created...........: 04/18/94
*  Copyright.........: (Public Domain) Flash Creative Management, 1994
*) Description.......: Driver for GENSCRNX used to create PTX.
*  Calling Samples...: 
*  Parameter List....: 
*  Major change list.: 
*  Version...........: 1.0
*
* lcdirective   - Enabling directive. 
* lcdirname     - Directive name.
* lcgetname     - Name of GET object.
* lcsetup       - Character string used to build Setup snippet source code.
* lccleanup     - Character string used to build Cleanup snippet source code.
*
PRIVATE lcdirective,lcdirname,lcgetname,lcsetup,lccleanup

IF OBJTYPE#1.OR..NOT.drvenable(PROGRAM())
  GOTO BOTTOM
  RETURN .F.
ENDIF
IF TYPE('m.gsxversion')#'C'.OR.LEFT(m.gsxversion,4)<'2.0'
  GOTO BOTTOM
  =warning('PTX driver requires GENSCRNX 2.0 or later')
  RETURN .F.
ENDIF
IF m.drv_no#5
  GOTO BOTTOM
  =warning('PTX driver requires *:SCXDRV5')
  RETURN .F.
ENDIF
m.autorun='OFF'
lcdirective='*:DIRECTIVE'
lcsetup=''
lccleanup=''
SCAN ALL FOR OBJTYPE#1.AND..NOT.DELETED()
  lcdirname=wordsearch(lcdirective)
  IF lcdirname==m.null
    LOOP
  ENDIF
  lcgetname=ALLTRIM(MLINE(NAME,1))
  IF EMPTY(lcgetname)
    LOOP
  ENDIF
  lcsetup='PRIVATE '+lcgetname+m.cr_lf+lcsetup
  lcsetup=lcsetup+lcgetname+"=wordsearch('"+lcdirname+"')"+m.cr_lf+;
          "IF "+lcgetname+"==m.null"+m.cr_lf+;
          "  "+lcgetname+"=''"+m.cr_lf+;
          "ENDIF"+m.cr_lf
  lccleanup=lccleanup+"=wordstuff('"+lcdirname+" '+ALLTRIM("+lcgetname+;
            "),.NOT.EMPTY("+lcgetname+"))"+m.cr_lf
ENDSCAN
LOCATE
IF .NOT.EMPTY(lcsetup).AND.wordsearch('#SECTION 2')==m.null
  lcsetup="#SECTION 2"+m.cr_lf+lcsetup
ENDIF
lcsetup='EXTERNAL ARRAY timestamp,wordsearch,wordstuff,strtranc'+;
        m.cr_lf+lcsetup
lccleanup="IF m.exitkey#1"+m.cr_lf+;
          "  RETURN .F."+m.cr_lf+;
          "ENDIF"+m.cr_lf+;
          "=timestamp()"+m.cr_lf+m.cr_lf+lccleanup
REPLACE SETUPCODE WITH SETUPCODE+m.cr_lf+lcsetup,;
        PROCCODE WITH lccleanup+PROCCODE,;
        CENTER WITH .T.
GOTO BOTTOM
=insblank()
REPLACE OBJTYPE WITH 12, OBJCODE WITH 1, NAME WITH 'm.exitkey',;
        PICTURE WITH '"@*VT \!OK;\?Cancel"', COMMENT WITH '*:NO3D';
        INITIALVAL WITH '"OK"', INITIALNUM WITH 1, SPACING WITH 1        
IF INLIST(ALLTRIM(m.platform_),'WINDOWS','MAC')
  REPLACE VPOS WITH m.height-5.308, HPOS WITH m.width-15,;
          HEIGHT WITH 1.769, WIDTH WITH 10,;
          PENRED WITH -1, PENGREEN WITH -1, PENBLUE WITH -1,;
          FILLRED WITH -1, FILLGREEN WITH -1, FILLBLUE WITH -1,;
          FONTFACE WITH 'MS Sans Serif', FONTSIZE WITH 8, FONTSTYLE WITH 1
ELSE
  REPLACE VPOS WITH m.height-6, HPOS WITH m.width-14,;
          HEIGHT WITH 1, WIDTH WITH 10
ENDIF
GOTO BOTTOM
RETURN .T.
  
* END ptx

